RedHat: Moderate: curl security update | LinuxSecurity.com
- ---------------------------------------------------------------------
                   Red Hat Security Advisory

Synopsis:          Moderate: curl security update
Advisory ID:       RHSA-2005:875-01
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2005-875.html
Issue date:        2005-12-20
Updated on:        2005-12-20
Product:           Red Hat Enterprise Linux
CVE Names:         CVE-2005-4077
- ---------------------------------------------------------------------

1. Summary:

Updated curl packages that fix a security issue are now available for Red
Hat Enterprise Linux 4.

This update has been rated as having moderate security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Problem description:

cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and Dict
servers, using any of the supported protocols.

Stefan Esser discovered an off-by-one bug in curl. It may be possible to
execute arbitrary code on a user's machine if the user can be tricked into
executing curl with a carefully crafted URL. The Common Vulnerabilities and
Exposures project assigned the name CVE-2005-4077 to this issue. 

All users of curl are advised to upgrade to these updated packages, which
contain a backported patch that resolves this issue.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via Red Hat Network.  To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

5. Bug IDs fixed (https://bugzilla.redhat.com/):

175266 - CVE-2005-4077 SA17907 cURL/libcURL URL Parsing Off-By-One Vulnerability


6. RPMs required:

Red Hat Enterprise Linux AS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/curl-7.12.1-8.rhel4.src.rpm
83b66ac5f655c0675c73a754fb36968f  curl-7.12.1-8.rhel4.src.rpm

i386:
8eb8d6c18a0098a29c74762e3b5917b1  curl-7.12.1-8.rhel4.i386.rpm
40e4373395a73d48813e5826302217ce  curl-devel-7.12.1-8.rhel4.i386.rpm

ia64:
8eb8d6c18a0098a29c74762e3b5917b1  curl-7.12.1-8.rhel4.i386.rpm
db6a1983890b2d4b9c087047703ffbfa  curl-7.12.1-8.rhel4.ia64.rpm
c1ee175858e2694554850a6074e05a78  curl-devel-7.12.1-8.rhel4.ia64.rpm

ppc:
c102b9482bfea7ed549468cbd527643a  curl-7.12.1-8.rhel4.ppc.rpm
5dca0663e9cea384f6c4b07d2b2c819e  curl-7.12.1-8.rhel4.ppc64.rpm
1d695a5ff574dfb7e04ad1f71eed6334  curl-devel-7.12.1-8.rhel4.ppc.rpm

s390:
71d21e63880d3f4f620e5bb7c2aa7786  curl-7.12.1-8.rhel4.s390.rpm
95b81b8528ed3f77e72ba904b3438f6c  curl-devel-7.12.1-8.rhel4.s390.rpm

s390x:
71d21e63880d3f4f620e5bb7c2aa7786  curl-7.12.1-8.rhel4.s390.rpm
2975ba72bc7b028a73cb8f34c4e02c7c  curl-7.12.1-8.rhel4.s390x.rpm
e1f25c48b701ba616cf9cc8f340107f4  curl-devel-7.12.1-8.rhel4.s390x.rpm

x86_64:
8eb8d6c18a0098a29c74762e3b5917b1  curl-7.12.1-8.rhel4.i386.rpm
cac21a3c7f52b473547a7537a777c240  curl-7.12.1-8.rhel4.x86_64.rpm
257b3566961c1e49ae9ab8b92cf9584b  curl-devel-7.12.1-8.rhel4.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/curl-7.12.1-8.rhel4.src.rpm
83b66ac5f655c0675c73a754fb36968f  curl-7.12.1-8.rhel4.src.rpm

i386:
8eb8d6c18a0098a29c74762e3b5917b1  curl-7.12.1-8.rhel4.i386.rpm
40e4373395a73d48813e5826302217ce  curl-devel-7.12.1-8.rhel4.i386.rpm

x86_64:
8eb8d6c18a0098a29c74762e3b5917b1  curl-7.12.1-8.rhel4.i386.rpm
cac21a3c7f52b473547a7537a777c240  curl-7.12.1-8.rhel4.x86_64.rpm
257b3566961c1e49ae9ab8b92cf9584b  curl-devel-7.12.1-8.rhel4.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/curl-7.12.1-8.rhel4.src.rpm
83b66ac5f655c0675c73a754fb36968f  curl-7.12.1-8.rhel4.src.rpm

i386:
8eb8d6c18a0098a29c74762e3b5917b1  curl-7.12.1-8.rhel4.i386.rpm
40e4373395a73d48813e5826302217ce  curl-devel-7.12.1-8.rhel4.i386.rpm

ia64:
8eb8d6c18a0098a29c74762e3b5917b1  curl-7.12.1-8.rhel4.i386.rpm
db6a1983890b2d4b9c087047703ffbfa  curl-7.12.1-8.rhel4.ia64.rpm
c1ee175858e2694554850a6074e05a78  curl-devel-7.12.1-8.rhel4.ia64.rpm

x86_64:
8eb8d6c18a0098a29c74762e3b5917b1  curl-7.12.1-8.rhel4.i386.rpm
cac21a3c7f52b473547a7537a777c240  curl-7.12.1-8.rhel4.x86_64.rpm
257b3566961c1e49ae9ab8b92cf9584b  curl-devel-7.12.1-8.rhel4.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/curl-7.12.1-8.rhel4.src.rpm
83b66ac5f655c0675c73a754fb36968f  curl-7.12.1-8.rhel4.src.rpm

i386:
8eb8d6c18a0098a29c74762e3b5917b1  curl-7.12.1-8.rhel4.i386.rpm
40e4373395a73d48813e5826302217ce  curl-devel-7.12.1-8.rhel4.i386.rpm

ia64:
8eb8d6c18a0098a29c74762e3b5917b1  curl-7.12.1-8.rhel4.i386.rpm
db6a1983890b2d4b9c087047703ffbfa  curl-7.12.1-8.rhel4.ia64.rpm
c1ee175858e2694554850a6074e05a78  curl-devel-7.12.1-8.rhel4.ia64.rpm

x86_64:
8eb8d6c18a0098a29c74762e3b5917b1  curl-7.12.1-8.rhel4.i386.rpm
cac21a3c7f52b473547a7537a777c240  curl-7.12.1-8.rhel4.x86_64.rpm
257b3566961c1e49ae9ab8b92cf9584b  curl-devel-7.12.1-8.rhel4.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and 
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4077

8. Contact:

The Red Hat security contact is .  More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2005 Red Hat, Inc.

RedHat: Moderate: curl security update

Updated curl packages that fix a security issue are now available for Red Hat Enterprise Linux 4

Summary

Solution

Before applying this update, make sure all previously released errata relevant to your system have been applied.

This update is available via Red Hat Network. To use Red Hat Network, launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate RPMs being upgraded on your system.

5. Bug IDs fixed (https://bugzilla.redhat.com/):

175266 - CVE-2005-4077 SA17907 cURL/libcURL URL Parsing Off-By-One Vulnerability


6. RPMs required:

Red Hat Enterprise Linux AS version 4:

SRPMS: ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/curl-7.12.1-8.rhel4.src.rpm 83b66ac5f655c0675c73a754fb36968f curl-7.12.1-8.rhel4.src.rpm

i386: 8eb8d6c18a0098a29c74762e3b5917b1 curl-7.12.1-8.rhel4.i386.rpm 40e4373395a73d48813e5826302217ce curl-devel-7.12.1-8.rhel4.i386.rpm

ia64: 8eb8d6c18a0098a29c74762e3b5917b1 curl-7.12.1-8.rhel4.i386.rpm db6a1983890b2d4b9c087047703ffbfa curl-7.12.1-8.rhel4.ia64.rpm c1ee175858e2694554850a6074e05a78 curl-devel-7.12.1-8.rhel4.ia64.rpm

ppc: c102b9482bfea7ed549468cbd527643a curl-7.12.1-8.rhel4.ppc.rpm 5dca0663e9cea384f6c4b07d2b2c819e curl-7.12.1-8.rhel4.ppc64.rpm 1d695a5ff574dfb7e04ad1f71eed6334 curl-devel-7.12.1-8.rhel4.ppc.rpm

s390: 71d21e63880d3f4f620e5bb7c2aa7786 curl-7.12.1-8.rhel4.s390.rpm 95b81b8528ed3f77e72ba904b3438f6c curl-devel-7.12.1-8.rhel4.s390.rpm

s390x: 71d21e63880d3f4f620e5bb7c2aa7786 curl-7.12.1-8.rhel4.s390.rpm 2975ba72bc7b028a73cb8f34c4e02c7c curl-7.12.1-8.rhel4.s390x.rpm e1f25c48b701ba616cf9cc8f340107f4 curl-devel-7.12.1-8.rhel4.s390x.rpm

x86_64: 8eb8d6c18a0098a29c74762e3b5917b1 curl-7.12.1-8.rhel4.i386.rpm cac21a3c7f52b473547a7537a777c240 curl-7.12.1-8.rhel4.x86_64.rpm 257b3566961c1e49ae9ab8b92cf9584b curl-devel-7.12.1-8.rhel4.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

SRPMS: ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/curl-7.12.1-8.rhel4.src.rpm 83b66ac5f655c0675c73a754fb36968f curl-7.12.1-8.rhel4.src.rpm

i386: 8eb8d6c18a0098a29c74762e3b5917b1 curl-7.12.1-8.rhel4.i386.rpm 40e4373395a73d48813e5826302217ce curl-devel-7.12.1-8.rhel4.i386.rpm

x86_64: 8eb8d6c18a0098a29c74762e3b5917b1 curl-7.12.1-8.rhel4.i386.rpm cac21a3c7f52b473547a7537a777c240 curl-7.12.1-8.rhel4.x86_64.rpm 257b3566961c1e49ae9ab8b92cf9584b curl-devel-7.12.1-8.rhel4.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

SRPMS: ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/curl-7.12.1-8.rhel4.src.rpm 83b66ac5f655c0675c73a754fb36968f curl-7.12.1-8.rhel4.src.rpm

i386: 8eb8d6c18a0098a29c74762e3b5917b1 curl-7.12.1-8.rhel4.i386.rpm 40e4373395a73d48813e5826302217ce curl-devel-7.12.1-8.rhel4.i386.rpm

ia64: 8eb8d6c18a0098a29c74762e3b5917b1 curl-7.12.1-8.rhel4.i386.rpm db6a1983890b2d4b9c087047703ffbfa curl-7.12.1-8.rhel4.ia64.rpm c1ee175858e2694554850a6074e05a78 curl-devel-7.12.1-8.rhel4.ia64.rpm

x86_64: 8eb8d6c18a0098a29c74762e3b5917b1 curl-7.12.1-8.rhel4.i386.rpm cac21a3c7f52b473547a7537a777c240 curl-7.12.1-8.rhel4.x86_64.rpm 257b3566961c1e49ae9ab8b92cf9584b curl-devel-7.12.1-8.rhel4.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

SRPMS: ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/curl-7.12.1-8.rhel4.src.rpm 83b66ac5f655c0675c73a754fb36968f curl-7.12.1-8.rhel4.src.rpm

i386: 8eb8d6c18a0098a29c74762e3b5917b1 curl-7.12.1-8.rhel4.i386.rpm 40e4373395a73d48813e5826302217ce curl-devel-7.12.1-8.rhel4.i386.rpm

ia64: 8eb8d6c18a0098a29c74762e3b5917b1 curl-7.12.1-8.rhel4.i386.rpm db6a1983890b2d4b9c087047703ffbfa curl-7.12.1-8.rhel4.ia64.rpm c1ee175858e2694554850a6074e05a78 curl-devel-7.12.1-8.rhel4.ia64.rpm

x86_64: 8eb8d6c18a0098a29c74762e3b5917b1 curl-7.12.1-8.rhel4.i386.rpm cac21a3c7f52b473547a7537a777c240 curl-7.12.1-8.rhel4.x86_64.rpm 257b3566961c1e49ae9ab8b92cf9584b curl-devel-7.12.1-8.rhel4.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://www.redhat.com/security/team/key/#package

References

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4077

Package List

Severity
Advisory ID: RHSA-2005:875-01
Advisory URL: https://rhn.redhat.com/errata/RHSA-2005-875.html
Issued Date: : 2005-12-20
Updated on: 2005-12-20
Product: Red Hat Enterprise Linux
CVE Names: CVE-2005-4077 - ---------------------------------------------------------------------

Topic

Updated curl packages that fix a security issue are now available for Red Hat Enterprise Linux 4.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

Relevant Releases Architectures

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64

Red Hat Enterprise Linux Desktop version 4 - i386, x86_64

Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64

Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Problem description:

cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and Dict

servers, using any of the supported protocols.

Stefan Esser discovered an off-by-one bug in curl. It may be possible to

execute arbitrary code on a user's machine if the user can be tricked into

executing curl with a carefully crafted URL. The Common Vulnerabilities and

Exposures project assigned the name CVE-2005-4077 to this issue.

All users of curl are advised to upgrade to these updated packages, which

contain a backported patch that resolves this issue.

Bugs Fixed

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.